WinNT.SECURITY_ATTRIBUTES
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinNT.SECURITY_ATTRIBUTES

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinNT.SECURITY_ATTRIBUTES

Enclosing class:
  WinNT

    public class WinNT.SECURITY_ATTRIBUTES

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`boolean` | `bInheritHandle`
`com.sun.jna.Pointer` | `lpSecurityDescriptor`
`int` | `nLength`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinNT.SECURITY_ATTRIBUTES()`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### nLength

    public final int nLength

### lpSecurityDescriptor

    public com.sun.jna.Pointer lpSecurityDescriptor

### bInheritHandle

    public boolean bInheritHandle

Constructor Detail

### WinNT.SECURITY_ATTRIBUTES

    public WinNT.SECURITY_ATTRIBUTES()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD